Problème execution commande 'livereload' dans console

Default
,

Bonjour,

J'avais sur mon pc déjà d'installé Ruby, j'ai installé tout ce que vous dites dans le tutoriel de Livereload.

Au lancement du bar qui contient 'livereload', j'obtient cette erreur :

C:\wamp\www\livereload-compass>livereload
C:/Ruby/lib/ruby/site_ruby/1.9.1/rubygems/dependency.rb:247:in `to_specs': Could
 not find eventmachine (>= 0.12.9) amongst [addressable-2.2.7, bigdecimal-1.1.0,
 chunky_png-1.2.5, compass-0.11.7, em-dir-watcher-0.9.4, em-websocket-0.3.6, eve
ntmachine-0.12.10-x86-mswin32-60, eventmachine-win32-0.7.2, fssm-0.2.8.1, io-con
sole-0.3, json-1.5.4, livereload-1.6.1, minitest-2.5.1, rake-0.9.2.2, rdoc-3.9.4
, rubygems-update-1.8.17, sass-3.1.15, win32-api-1.4.8-x86-mingw32, win32-change
notify-0.5.1, win32-event-0.5.2, win32-ipc-0.5.3, windows-api-0.4.1, windows-pr-
1.2.1] (Gem::LoadError)
        from C:/Ruby/lib/ruby/site_ruby/1.9.1/rubygems/specification.rb:772:in `
block in activate_dependencies'
        from C:/Ruby/lib/ruby/site_ruby/1.9.1/rubygems/specification.rb:761:in `
each'
        from C:/Ruby/lib/ruby/site_ruby/1.9.1/rubygems/specification.rb:761:in `
activate_dependencies'
        from C:/Ruby/lib/ruby/site_ruby/1.9.1/rubygems/specification.rb:745:in `
activate'
        from C:/Ruby/lib/ruby/site_ruby/1.9.1/rubygems/specification.rb:775:in `
block in activate_dependencies'
        from C:/Ruby/lib/ruby/site_ruby/1.9.1/rubygems/specification.rb:761:in `
each'
        from C:/Ruby/lib/ruby/site_ruby/1.9.1/rubygems/specification.rb:761:in `
activate_dependencies'
        from C:/Ruby/lib/ruby/site_ruby/1.9.1/rubygems/specification.rb:745:in `
activate'
        from C:/Ruby/lib/ruby/site_ruby/1.9.1/rubygems.rb:1211:in `gem'
        from C:/Ruby/bin/livereload:18:in `<main>'
C:\wamp\www\livereload-compass>

Que faire ?

Merci d'avance ^^

2 Réponse

6315
,

J'avais la même erreur, le problème c'est que livereload n'est plus vraiment maintenu, ça devient donc compliqué de fixer les problèmes. Par contre j'ai peut être une solution pour toi, si tu utilises Sublime text 2, il existe un plugin livereload, qui dès que le fichier est sauvegardé, livereload se met en place et la page s'actualise dans le navigateur.

Default
,

Salut,

As tu vu la version 2.0 ? Il n'y a plus besoin de passer par ruby, tu peux la télécharger sur cette page http://livereload.com/